use std::net::TcpStream;

fn main() {
    let stream = TcpStream::connect("127.0.0.1:8080");
    if stream.is_ok() {
        println!("Connected to the server!");
    } else {
        println!("Couldn't connect to server...");
    }

    loop {
        let mut buffer = String::new();
        match std::io::stdin().read_line(&mut buffer) {
            Ok(n) => {
                if n == 0 {
                    break;
                }
                println!("{}", buffer);
            }
            Err(error) => {
                println!("error: {error}");
                break;
            }
        }
    }
} // the stream is closed here
